Send a test email using the proposed integration settings
POST
/api/organizations/settings/email/test
const url = 'https://example.com/api/organizations/settings/email/test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"provider":"sendgrid","apiKey":"SG.secure_api_key_token","fromEmail":"[email protected]","fromName":"Dream Center Connect System","toEmail":"[email protected]"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/organizations/settings/email/test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "provider": "sendgrid", "apiKey": "SG.secure_api_key_token", "fromEmail": "[email protected]", "fromName": "Dream Center Connect System", "toEmail": "[email protected]" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
provider
required
Transactional email provider service type (smtp, sendgrid, postmark, ses).
string
Example
sendgridapiKey
required
Provider API authentication token.
string
Example
SG.secure_api_key_tokenfromEmail
required
fromName
Default sender display name for outbound emails.
string
Example
Dream Center Connect SystemtoEmail
required
Responses
Section titled “Responses”Test email sent successfully
Invalid input or failed to send email
Unauthorized
Forbidden